put /tmpasm/IFS { }
put /local/libs {lib_array lib_ascii lib_rand}

print [@
# Generated by scconfig from Makefile.in
PREFIX=@/local/prefix@
LIBPATH=$(DESTDIR)$(install_root)$(PREFIX)/lib/libmawk

all:

install:
	@fstools/mkdir@ $(LIBPATH)
@]
foreach /local/n in /local/libs
	print [@	@fstools/cp@ @/local/n@.awk $(LIBPATH)/@/local/n@.awk
@]
end

print [@
linstall:
	@fstools/mkdir@ $(LIBPATH)
@]
foreach /local/n in /local/libs
	print [@	@fstools/ln@ @/local/n@.awk $(LIBPATH)/@/local/n@.awk
@]
end

print [@
uninstall:
@]
foreach /local/n in /local/libs
	print [@	@fstools/rm@ $(LIBPATH)/@/local/n@.awk
@]
end

print [@
test:
	cd regression && make

clean:

distclean: clean
	-rm Makefile regression/Makefile
@]

put /tmpasm/IFS {}
